# $Revision: 1.7 $, $Date: 2007/01/28 09:26:47 $
%define	_lang	ca
%define	_reg	AD
%define _lare	%{_lang}-%{_reg}
Summary:	Catalan resources for SeaMonkey
Summary(ca):	Recursos catalans per a SeaMonkey
Summary(es):	Recursos catalanes para SeaMonkey
Summary(pl):	Kataloskie pliki jzykowe dla SeaMonkeya
Name:		seamonkey-lang-%{_lang}
Version:	1.1
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Source0:	ftp://ftp.softcatala.org/pub/softcatala/seamonkey/%{version}/langpack/seamonkey-%{version}.%{_lare}.langpack.xpi
# Source0-md5:	9eb5a01b492839d445a3feaa042d06e7
Source1:	http://www.mozilla-enigmail.org/downloads/lang/0.9x/enigmail-%{_lare}-0.9x.xpi
# Source1-md5:	2f7b87d93cb4fcb831690ae7438e4f0e
Source2:	gen-installed-chrome.sh
URL:		http://www.softcatala.org/wiki/SeaMonkey
BuildRequires:	unzip
Requires(post,postun):	seamonkey >= %{version}
Requires(post,postun):	textutils
Requires:	seamonkey >= %{version}
Obsoletes:	mozilla-lang-ca
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_chromedir	%{_datadir}/seamonkey/chrome

%description
Catalan resources for SeaMonkey.

%description -l ca
Recursos catalans per a SeaMonkey.

%description -l es
Recursos catalanes para SeaMonkey.

%description -l pl
Kataloskie pliki jzykowe dla SeaMonkeya.

%prep
%setup -qc
%{__unzip} -o -qq %{SOURCE1}
install %{SOURCE2} .
./gen-installed-chrome.sh locale \
	chrome/{%{_reg},%{_lare},%{_lang}-unix,enigmail-%{_lare}}.jar \
		> lang-%{_lang}-installed-chrome.txt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

install chrome/{%{_reg},%{_lare},%{_lang}-unix,enigmail-%{_lare}}.jar \
	$RPM_BUILD_ROOT%{_chromedir}
install lang-%{_lang}-installed-chrome.txt $RPM_BUILD_ROOT%{_chromedir}
cp -r searchplugins defaults $RPM_BUILD_ROOT%{_datadir}/seamonkey

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/seamonkey-chrome+xpcom-generate

%postun
%{_sbindir}/seamonkey-chrome+xpcom-generate

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_reg}.jar
%{_chromedir}/%{_lare}.jar
%{_chromedir}/%{_lang}-unix.jar
%{_chromedir}/enigmail-%{_lare}.jar
%{_chromedir}/lang-%{_lang}-installed-chrome.txt
%{_datadir}/seamonkey/searchplugins/*
%{_datadir}/seamonkey/defaults/profile/%{_reg}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: seamonkey-lang-ca.spec,v $
Revision 1.7  2007/01/28 09:26:47  hawk
- updated to 1.1

Revision 1.6  2007/01/23 08:58:33  hawk
- updated to 1.0.7

Revision 1.5  2006/11/10 16:30:26  sparky
- up to 1.0.5
- O: mozilla-lang-ca

Revision 1.4  2006/07/31 14:33:12  sparky
- use maaaaaaaaaaany macros
- up to 1.0.2

Revision 1.3  2006/04/17 19:02:47  glen
- use %setup to unpack source0

Revision 1.2  2006/04/17 14:23:10  sparky
- added enigmail translation

Revision 1.1  2006/04/16 17:11:48  sparky
- NEW, catalan seamonkey resources
